﻿Imports System.Windows.Forms

Public Class Dialog_CodeUPC

    #Region "Sub SetControl : コントロールに設定します."
        Private Sub SetControl(ByVal BlnVal_Set As Boolean)
            Try
                Select Case BlnVal_Set
                    Case True
                    ' コントロールにセットします.

                        ' バーコードのスタイル.
                        Dim Int_Index As Integer = 0
                        With ClsPub_CODE_UPC_INFO
                            Select Case .Int_CodeStyle
                                Case NSDCodeUPC.NSD_CODE_UPC_STYLE.UPC_A
                                    Int_Index = 0
                                Case NSDCodeUPC.NSD_CODE_UPC_STYLE.UPC_E
                                    Int_Index = 1
                                Case Else
                                    Int_Index = 0
                            End Select
                        End With
                        Me.Cmb_BStyle.SelectedIndex = Int_Index

                        ' クワイエットゾーン表示用文字.
                        Me.Cmb_QuiteZone.SelectedIndex = Math.Abs(CInt(ClsPub_CODE_UPC_INFO.Bln_QuietZonePrint))

                        ' クワイエットゾーン文字サイズ.
                        Me.Cmb_QuiteZoneStrSize.SelectedIndex = ClsPub_CODE_UPC_INFO.Int_QuietZoneCharcterSize

                        ' チェックデジット.
                        Me.Cmb_CheckDegit.SelectedIndex = Math.Abs(CInt(ClsPub_CODE_UPC_INFO.Bln_CheckDegit))

                    Case False
                    ' コントロールから取り出します.
                        With ClsPub_CODE_UPC_INFO
                            ' コードスタイル.
                                Select Case Me.Cmb_BStyle.SelectedIndex
                                    Case 0: .Int_CodeStyle = NSDCodeUPC.NSD_CODE_UPC_STYLE.UPC_A
                                    Case 1: .Int_CodeStyle = NSDCodeUPC.NSD_CODE_UPC_STYLE.UPC_E
                                End Select
                            ' 全体の幅.
                                .Sng_AllWidth = 0

                            ' クワイエットゾーン表示用文字.
                                .Bln_QuietZonePrint = CBool(Me.Cmb_QuiteZone.SelectedIndex)

                            ' クワイエットゾーン文字サイズ.
                                .Int_QuietZoneCharcterSize = Me.Cmb_QuiteZoneStrSize.SelectedIndex

                            ' チェックデジット.
                                .Bln_CheckDegit = CBool(Me.Cmb_CheckDegit.SelectedIndex)
                        End With
                End Select
            Catch ex As Exception
            End Try
        End Sub
    #End Region

    #Region "OK、キャンセル."
        #Region "Sub OK_Button_Click : OKボタン."
            Private Sub OK_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles OK_Button.Click
                Me.DialogResult = System.Windows.Forms.DialogResult.OK
                SetControl(False)
                Me.Close()
            End Sub
        #End Region

        #Region "Sub Cancel_Button_Click : キャンセルボタン."
            Private Sub Cancel_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Cancel_Button.Click
                Me.DialogResult = System.Windows.Forms.DialogResult.Cancel
                Me.Close()
            End Sub
        #End Region
    #End Region

    #Region "Sub Dialog_CodeJAN_Load : Loadイベント."
        Private Sub Dialog_CodeJAN_Load(sender As Object, e As System.EventArgs) Handles Me.Load
            Try
                ' バーコードスタイル.
                With Me.Cmb_BStyle
                    .Items.Clear()

                    .Items.Add("UPC-A")
                    .Items.Add("UPC-E")
                End With

                ' クワイエットゾーン表示用文字.
                With Me.Cmb_QuiteZone
                    .Items.Clear()

                    .Items.Add("出力しない。")
                    .Items.Add("出力する。")
                End With

                ' クワイエットゾーン文字サイズ.
                With Me.Cmb_QuiteZoneStrSize
                    .Items.Clear()

                    .Items.Add("縮小サイズ。")
                    .Items.Add("標準サイズ。")
                End With

                ' チェックデジット.
                With Me.Cmb_CheckDegit
                    .Items.Clear()

                    .Items.Add("追加しない。")
                    .Items.Add("追加する。")
                End With

                SetControl(True)

            Catch ex As Exception

            End Try
        End Sub
    #End Region

End Class
